<template>
  <div>
    <div v-for="home in homes" :key="home.objectID" :home="home">
      <HomeCard :home="home" />
    </div>
  </div>
</template>

<script>
import HomeCard from '~/components/HomeCard.vue';
import homes from '~/data/homes.json';

export default {
  components: {
    HomeCard,
  },
  head() {
    return {
      title: 'HomePage',
      meta: [
        {
          name: 'description',
          content: 'This us a homepage!',
          hid: 'description',
        },
      ],
    };
  },
  data() {
    return {
      homes: homes.slice(0, 3),
    };
  },
};
</script>
